Bug 215358 - [exp-run] graphics/poppler: Update to 0.50.0
Summary: [exp-run] graphics/poppler: Update to 0.50.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2016-12-17 20:16 UTC by Olivier Duchateau
Modified: 2017-01-07 18:52 UTC (History)
2 users (show)

See Also:
rakuco: maintainer-feedback-


Attachments
Patch to update graphics/poppler and slaves ports (4.40 KB, patch)
2016-12-17 20:16 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau freebsd_committer 2016-12-17 20:16:06 UTC
Created attachment 178035 [details]
Patch to update graphics/poppler and slaves ports

- Update to 0.50.0
- Remove unneeded patch
- Enable NSS (Network Security Service)
- Switch to OpenJPEG2 (according to this commit [1])

Tested with poudriere:
- i386 9.3: ok
- amd64 10.3, 11.0: ok

[1]  https://cgit.freedesktop.org/poppler/poppler/commit/?id=21cd08e34bd317b2ecc7c8b4e0d122d85bdf6714
Comment 1 Antoine Brodin freebsd_committer 2017-01-05 06:20:31 UTC
Exp-run looks fine.
Comment 2 commit-hook freebsd_committer 2017-01-07 10:35:40 UTC
A commit references this bug:

Author: olivierd
Date: Sat Jan  7 10:35:33 UTC 2017
New revision: 430777
URL: https://svnweb.freebsd.org/changeset/ports/430777

Log:
  - Update to 0.50.0
  - Remove unneeded patch
  - Enable NSS (Network Security Service)
  - Switch to OpenJPEG2

  PR:		215358
  Submitted by:	myself (olivierd@)
  Exp-run by:	antoine@
  Approved by:	GNOME team (timeout 3 weeks)

Changes:
  head/graphics/poppler/Makefile
  head/graphics/poppler/distinfo
  head/graphics/poppler/files/patch-poppler_PDFDoc.cc
  head/graphics/poppler/pkg-plist
  head/graphics/poppler-qt4/pkg-plist
  head/graphics/poppler-qt5/pkg-plist
Comment 3 Olivier Duchateau freebsd_committer 2017-01-07 10:43:25 UTC
Committed
Comment 4 commit-hook freebsd_committer 2017-01-07 18:15:58 UTC
A commit references this bug:

Author: rakuco
Date: Sat Jan  7 18:15:09 UTC 2017
New revision: 430818
URL: https://svnweb.freebsd.org/changeset/ports/430818

Log:
  Fix plist after r430777.

  PR:		215358

Changes:
  head/graphics/poppler-qt4/Makefile
  head/graphics/poppler-qt4/pkg-plist
  head/graphics/poppler-qt5/Makefile
  head/graphics/poppler-qt5/pkg-plist
  head/graphics/poppler-utils/Makefile
  head/graphics/poppler-utils/pkg-plist